## sip4 4.14.3

=== debian/changelog ===
sip4 (4.14.3-1) experimental; urgency=low

  * New upstream release
    - Refreshed patches
    - Update sip{3}-api provides for new minor SIP API version
    - Update debian/copyright
  * Add debian uupdate to debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 13 Feb 2013 00:45:25 -0500

sip4 (4.14.2-1) experimental; urgency=low

  * New upstream release
    - Refreshed patches
  * Use updated watch file provided by Bart Martens
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 09 Dec 2012 14:02:36 -0500

sip4 (4.14-5) experimental; urgency=low

  * Remove *.preinst scripts as they are no longer needed.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Nov 2012 23:05:18 -0500

sip4 (4.14-4) experimental; urgency=low

  * Give up on doc directory symlinks as not worth the trouble
    (Closes: #691442)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Nov 2012 20:58:12 -0500

sip4 (4.14-3) experimental; urgency=low

  * Fix debian/sipconfig_py3.snippet to use sys.abiflags to detect if the
    debug build is running instead of the non-existent (in python3)
    sys.pydebug
  * Add *.preinst to python-sip-dbg, python-sip-dev, python3-sip-dbg, and
    python3-sip-dev to remove any potential doc directories that are now
    symlinks (Closes: #691442)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Oct 2012 00:03:20 -0400

sip4 (4.14-2) experimental; urgency=low

  * Enable building for multiple supported python3 versions
    - Support python3.3 and later file locations
    - Generate sipconfig_py3.py during configure to account for different
      sipconfig contents for python3.2/3.3
  * Update debian/rules to properly install sipconfig data for python3-sip-dbg
  * Use/usr/share/doc symlinks for python-sip-dev, python3-sip-dbg, and
    python3-sip-dev

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Oct 2012 19:40:12 -0400

sip4 (4.14-1) experimental; urgency=low

  * New upstream release
    - Update sip-api and sip-py3api for New Sip API version
  * Fix debian/watch to work with the current download location

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Oct 2012 01:57:53 -0400
