## sip4 4.14.5

=== debian/changelog ===
sip4 (4.14.5-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1160739)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 28 Mar 2013 23:01:55 +0000

sip4 (4.14.4-0ubuntu1) raring; urgency=low

  * New upstream release
    - Refreshed patches
    - Update sip{3}-api provides for new minor SIP API version

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Mar 2013 09:44:40 -0500
