## sip4 4.15.2

=== debian/changelog ===
sip4 (4.15.2-1ubuntu1) saucy; urgency=low

  * Merge from Debian Experimental.  Remaining Ubuntu changes:
    - Adjust Breaks versioning to match Ubuntu versioning for rebuild only
      uploads

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Sep 2013 13:29:09 -0400

sip4 (4.15.2-1) experimental; urgency=low

  * New upstream release
    - Contains the sip4 part of the fix for recent pykde4 breakage
  * Temporarily hard code python3 Depends in python3-sip-dev to work around
    breakage in dh-python (See #723070)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Sep 2013 00:45:10 -0400

sip4 (4.15-1ubuntu1) saucy; urgency=low

  * Merge from Debian Experimental.  Remaining Ubuntu changes:
    - Adjust Breaks versioning to match Ubuntu versioning for rebuild only
      uploads

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Aug 2013 08:47:11 -0400

sip4 (4.15.1-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Call dh_sphinxdoc after dh_installdocs, to fix build failure with
    new debhelper versions.
  * Remove wrong debian/python-sip-doc.docs, we install docs manually.
  * Don't hardcode depends on libjs-jquery and libjs-underscore,
    ${sphinxdoc:Depends} takes care of that.

  [ Scott Kitterman ]
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 Aug 2013 22:18:05 -0400

sip4 (4.15-1) experimental; urgency=low

  * New upstream feature release
    - Add 10.1 to sip-api and sip-py3api

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Aug 2013 17:19:27 -0400

sip4 (4.14.7-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks versioning to match Ubuntu versioning for rebuild only
      uploads

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Aug 2013 23:13:59 -0400

sip4 (4.14.7-4) unstable; urgency=medium

  * Urgency medium for RC bug fix affecting stable -> testing upgrades
  * Clean up symlink versus directory for python/python3-sip-dbg
    (Closes: #720156)
    - Convert doc directories for -dbg packages to symlinks (as
      python-sip-dbg has in wheezy)
    - Add python/python3-sip-dbg.postinsts to straighten up existing dirs
    - Convert sip-dbg doc dir to symlink to sip-dev
  * Exclude sip-dev from dh_python3 processing to fix errors with dh_python3
    processing inappropriate files
  * Remove install-arch-3.2, now that python3.2 is no longer supported to
    simplify debian/rules, bump minimum python3-all-dev version required to
    3.3.2-5~

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Aug 2013 08:59:25 -0400

sip4 (4.14.7-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks versioning to match Ubuntu versioning for rebuild only
      uploads

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Jul 2013 01:58:17 -0400

sip4 (4.14.7-3) unstable; urgency=low

  * Split usr/bin/sip out of python-sip-dev to fix missing depends for
    python3-sip-dev without requiring dragging in all of python-sip for
    Python 3 projects
    - Add sip-dev to debian/control with breaks/replaces on old python-sip-dev
      versions
    - Add sip-dev to depends for python-sip-dev and python3-sip-dev
    - Update .install and .manpages files for package split
    - Add sip-dbg to debian/control and update debian rules
  * Remove redundant Recommends on python-sip/python3-sip in the -dev
    packages
  * Use build Sphinx based documenation from source and use dh_sphinxdoc to
    generate dependencies for python-sip-doc
    - Add sphinxdoc:Depends to python-sip-doc depends
    - Add call to sphinx-build and dh_sphinxdoc in debian/rules
    - Add python-sphinx to build-depends
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Wed, 03 Jul 2013 17:33:19 -0400

sip4 (4.14.7-2ubuntu1) saucy; urgency=low

  * Adjust excessively-tight Breaks to cope with Ubuntu's different
    versioning for rebuild-only uploads.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jun 2013 23:37:44 +0100

sip4 (4.14.7-2) unstable; urgency=low

  * Fix sip API bump missed in the last upload (Closes: #712669)
    - Bump sip-api and sip-py3api to 10.0
    - Update python-sip Breaks versions
    - Add appropriate Breaks for python3-sip 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 18 Jun 2013 16:47:59 -0400

sip4 (4.14.7-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Fixes for some lintian4python errors:
    - Make python3-sip-dev depend on ${python3:Depends}, not ${python:Depends}.
    - Bump build-dependency on python-all-dev to (>= 2.7.2-5~), to ensure
      that dh_python2 supports --no-dbg-cleaning option.

  [ Scott Kitterman ]
  * New upstream release
  * Added doc-base registration, debian/python-sip-doc.doc-base

 -- Scott Kitterman <scott@kitterman.com>  Mon, 17 Jun 2013 20:39:47 -0400

sip4 (4.14.6-1) unstable; urgency=low

  * Upload to unstable

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Refreshed patches
    - Update sip{3}-api provides for new minor SIP API version
    - Update Breaks for new transition
  * Drop unused python/python3:Provides

 -- Scott Kitterman <scott@kitterman.com>  Tue, 07 May 2013 22:48:39 -0400
