=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PY2_PROVIDES=sip-api-9.0, sip-api-9.1, sip-api-9.2
-PY3_PROVIDES=sip-py3api-9.0, sip-py3api-9.1, sip-py3api-9.2
+PY2_PROVIDES=sip-api-10.0, sip-api-10.1
+PY3_PROVIDES=sip-py3api-10.0, sip-py3api-10.1
 # `dh_python3 --depends sip3` should generate dependency on newest API only
 PYDIST=sip $(shell python -c "a=[i.strip() for i in '$(PY3_PROVIDES)'.split(',')]; print sorted(a, reverse=True)[0]")
 
@@ -96,8 +96,8 @@
 	dh_testdir
 	dh_testroot	
 	dh_prep -a
-	echo "python:Provides=$(PY2_PROVIDES)" >> debian/python-sip.substvars
-	echo "python3:Provides=$(PY3_PROVIDES)" >> debian/python3-sip.substvars
+	echo "sip:Provides=$(PY2_PROVIDES)" >> debian/python-sip.substvars
+	echo "sip3:Provides=$(PY3_PROVIDES)" >> debian/python3-sip.substvars
 	echo "$(PYDIST)" > debian/python3-sip.pydist
 	dh_installdirs -a
 	# This is needed to enforce that the install-arch-% rules are
@@ -118,23 +118,6 @@
 
 	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
 	install -m 755 -o root -g root debian/dh_sip debian/python-sip-dev/usr/bin
-
-install-arch-3.2:
-	$(MAKE) -C build-3.2 install DESTDIR=$(CURDIR)/debian/tmp
-	$(MAKE) -C dbg-build-3.2 install DESTDIR=$(CURDIR)/debian/python3-sip-dbg
-	mkdir -p debian/python3-sip/usr/lib/python3.2/dist-packages/
-	mkdir -p debian/python3-sip-dbg/usr/lib/python3/dist-packages/
-	mkdir -p debian/python3-sip-dbg/usr/lib/python3.2/dist-packages/
-	install -m 644 -o root -g root debian/sipconfig_py3.py debian/python3-sip/usr/lib/python3.2/dist-packages/sipconfig.py
-	install -m 644 -o root -g root build-3.2/sipconfig.py debian/python3-sip/usr/lib/python3.2/dist-packages/sipconfig_nd2.py
-	mv debian/python3-sip-dbg/usr/lib/python3.2/dist-packages/sipconfig.py debian/python3-sip-dbg/usr/lib/python3/dist-packages/sipconfig_d2.py
-	mkdir -p debian/python3-sip-dev/usr/include/python3.2mu
-	install -m 644 -o root -g root siplib/sip.h debian/python3-sip-dev/usr/include/python3.2mu/
-	mkdir -p debian/python3-sip-dev/usr/include/python3.2dmu
-	ln -s ../python3.2mu/sip.h \
-	    debian/python3-sip-dev/usr/include/python3.2dmu/sip.h
-	mkdir -p debian/python3-sip-dev/usr/lib/python3.2/dist-packages
-	install -m 644 -o root -g root sipdistutils.py debian/python3-sip-dev/usr/lib/python3.2/dist-packages
 
 install-arch-3.%:
 	$(MAKE) -C build-3.$* install DESTDIR=$(CURDIR)/debian/tmp
@@ -178,10 +161,43 @@
 	dh_installman
 	dh_installchangelogs NEWS
 	dh_installdocs -A
+ifeq (,$(findstring -a, $(DH_OPTIONS)))
+	dh_sphinxdoc -p python-sip-doc
+endif
 	dh_installexamples
 	dh_link
-# don't call strip twice, it's in binary-common
+# don't call strip twice (or make the -dbg doc directories symlinks twice),
+# it's in binary-common
 ifneq (,$(findstring -a, $(DH_OPTIONS)))
+	rm -rf debian/python-sip-dbg/usr/share/doc/python-sip-dbg
+	mkdir -p debian/python-sip-dbg/usr/share/doc
+	ln -s python-sip debian/python-sip-dbg/usr/share/doc/python-sip-dbg
+	rm -rf debian/python3-sip-dbg/usr/share/doc/python3-sip-dbg
+	mkdir -p debian/python3-sip-dbg/usr/share/doc
+	ln -s python3-sip debian/python3-sip-dbg/usr/share/doc/python3-sip-dbg
+	rm -rf debian/sip-dbg/usr/share/doc/sip-dbg
+	mkdir -p debian/sip-dbg/usr/share/doc
+	ln -s sip-dev debian/sip-dbg/usr/share/doc/sip-dbg
 	DH_OPTIONS= dh_strip -ppython-sip-dev
 	DH_OPTIONS= dh_strip -ppython-sip -Npython-sip-dev --dbg-package=python-sip-dbg
 	DH_OPTIONS= dh_strip -ppython3-sip-dev
+	DH_OPTIONS= dh_strip -ppython3-sip -Npython3-sip-dev --dbg-package=python3-sip-dbg
+	DH_OPTIONS= dh_strip -psip-dev --dbg-package=sip-dbg
+endif
+	dh_compress -X.inv
+	dh_fixperms
+	dh_python2 --no-dbg-cleaning -N sip-dev
+	dh_python3 --no-dbg-cleaning -N sip-dev
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+# Build architecture independant packages using the common target.
+binary-indep:
+	sphinx-build sphinx debian/python-sip-doc/usr/share/doc/python-sip-doc/html
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+
+# Build architecture dependant packages using the common target.
+binary-arch: install-arch
