## sip4 4.15.5

=== debian/changelog ===
sip4 (4.15.5-1build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:01 +0100

sip4 (4.15.5-1) experimental; urgency=low

  * New upstream release.
  * Bump API version to 11.0.
  * debian/rules: Drop Python 2.5 compatibility code.

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 18 Mar 2014 10:40:51 +0400

sip4 (4.15.4-1) unstable; urgency=low

  * New upstream bugfix release.
  * Adjust python-qwt5-qt4 and python-qwt3d-qt4 breaks, only the newly
    uploaded versions work with new sip.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 08 Jan 2014 19:36:26 +0400

sip4 (4.15.3-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Add myself to Uploaders.

  [ Scott Kitterman ]
  * Bump standards version to 3.9.5 without further change.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 06 Nov 2013 07:34:12 +0400

sip4 (4.15.2-2) unstable; urgency=low

  * Upload to unstable
  * Revert workaround for #723070, since it's addressed in dh-python now

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Oct 2013 19:26:33 -0400
