=== debian/control ===
--- 
+++ 
@@ -3,10 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>, Scott Kitterman <scott@kitterman.com>
+Uploaders: Torsten Marek <shlomme@debian.org>,
+           Michael Casadevall <mcasadevall@debian.org>,
+           Scott Kitterman <scott@kitterman.com>,
+           Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7), python-all-dev (>= 2.7.2-5~), python-all-dbg,
  python3-all-dev (>= 3.3.2-5~), python3-all-dbg, python-sphinx (>= 1.0.7+dfsg), flex
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sip4/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sip4/trunk/
@@ -19,9 +22,9 @@
 Provides: ${sip:Provides}
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Breaks: python-qscintilla (<< 2.7.2),
-        python-qwt5-qt4 (<< 5.2.1~cvs20091107+dfsg-6+b3build2),
-        python-qwt3d-qt4 (<= 0.1.7~cvs20090625-11),
-        python-qt4 (<<4.10.2~)
+        python-qwt5-qt4 (<< 5.2.1~cvs20091107+dfsg-7~),
+        python-qwt3d-qt4 (<< 0.1.7~cvs20090625-12~),
+        python-qt4 (<< 4.10.2~)
 Description: Python/C++ bindings generator runtime library
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -155,7 +158,7 @@
 Provides: ${sip3:Provides}
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Breaks: python3-pyqt4.qsci (<< 2.7.2),
-        python3-pyqt4 (<<4.10.2~)
+        python3-pyqt4 (<< 4.10.2~)
 Description: Python 3/C++ bindings generator runtime library
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -166,8 +169,7 @@
 Package: python3-sip-dev
 Architecture: any
 Section: python
-#Depends: ${python3:Depends}, python3-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
-Depends: python3 (>= 3.2.3-3~), python3-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
+Depends: ${python3:Depends}, python3-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
  python3-dev, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-sip-doc
 Description: Python 3/C++ bindings generator development files
