## sip4 4.16.3+dfsg

=== debian/changelog ===
sip4 (4.16.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update my e-mail address.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Sep 2014 12:53:42 +0400

sip4 (4.16.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release
    - Refreshed patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 04 Jul 2014 11:15:21 -0400

sip4 (4.16.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update sip.1 man page, document new command-line flags.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 09 Jun 2014 15:56:52 +0400

sip4 (4.16+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump API version to 11.1 (keep 11.0 in provided versions).
  * Update debian/copyright to copyright-format 1.0.
  * Add Files-Excluded field to remove HTML documentation, which
    contains sourceless minified jquery.
  * Simplify debian/watch, and mangle dfsg version.
  * Add get-orig-source target to debian/rules.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 01 Jun 2014 12:38:17 +0400

sip4 (4.15.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 May 2014 07:48:12 -0400
