=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7), python-all-dev (>= 2.7.2-5~), python-all-dbg,
  python3-all-dev (>= 3.3.2-5~), python3-all-dbg, python-sphinx (>= 1.0.7+dfsg), flex
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sip4/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sip4/trunk/
